package org.project.entity;

public interface Entity {
    void defend();

    void heal(int health);

    void fillMana(int mana);

    void takeDamage(int damage);

    void reduceMana(int mana);

    int getMaxHP();

    int getMaxMP();

    String getType();

    int getHealManaCost();
    int getDefendManaCost();
    void skipNextTurn();
    void skipTurn();
    /*
    TODO: ADD OTHER REQUIRED AND BONUS METHODS
    */
}
